﻿google.load('visualization', '1', { packages: ['table'] });
google.setOnLoadCallback(OnLoad);

function OnLoad() {

    // This is the location of our controller
    var url = "/Home/GetCustomerDetails";

    $.getJSON(url, function (response) {
        var data = new google.visualization.DataTable();
        data.addColumn('number', 'CustomerId');
        data.addColumn('string', 'CustomerName');
        data.addColumn('number', 'CustomerAge');
        data.addColumn('number', 'CustomerAmount');
        data.addColumn('string', 'DateEntered');

        // Loop through our data
        data.addRows(response.length);
        for (var i = 0; i < response.length; i++) {

            data.setValue(i, 0, response[i].CustomerId);
            data.setValue(i, 1, response[i].CustomerName);
            data.setValue(i, 2, response[i].CustomerAge);
            data.setValue(i, 3, response[i].CustomerAmount);
            data.setValue(i, 4, response[i].DateEntered);
        }

        var table = new google.visualization.Table(
                        document.getElementById('table_div')
                        );

        var numberFormatter = new google.visualization.NumberFormat(
                        { prefix: '£',
                            negativeColor: 'red',
                            negativeParens: true
                        });

        numberFormatter.format(data, 3); // Apply formatter to second column

        // Add colour to the third column within a range
        var formatter = new google.visualization.ColorFormat();
        formatter.addRange(1, 100, 'white', 'orange');
        formatter.format(data, 3); // Apply formatter to third column

        // Enable paging
        table.page = "enable";
        table.draw(data, { allowHtml: true, page: 'enable', pageSize: 2 });

        window['table'] = table;
        window['data'] = data;

    });
}
