﻿using System.Collections.Generic;
using System.Web.Mvc;
using Data;

namespace GoogleDataTable.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewData["Message"] = "Welcome to ASP.NET MVC!";

            return View();
        }

        /// <summary>
        /// This is the ActionResult that our
        /// js will make a post to.
        /// </summary>
        /// <returns></returns>
        public ActionResult GetCustomerDetails()
        {
            // Retrieve our data
            List<Customer> customerDetailsById = CustomerData.GetCustomerDetailsById();

            // Return the json result to our view
            return Json(customerDetailsById, JsonRequestBehavior.AllowGet);
        }

        public ActionResult About()
        {
            return View();
        }
    }
}
